---
title: Create Quote
slug: api-documentation/create-quote
docTags: 
createdAt: 2026-08-27T17:07:20.518Z
---

{
  "id": "4a91Io4SQps3v9hC-qdpS",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/quote",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/quote"
      }
    ],
    "name": "Create Quote",
    "description": "<p>This endpoint allows sales associates to create a new quote.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>quote.create</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "The request body must contain the details of the quotes.",
          "customType": "QuoteCreateRequest",
          "schema": [
            {
              "name": "customer",
              "kind": "required",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/Customer",
              "customType": "Customer",
              "schema": [
                {
                  "name": "name",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/Name",
                  "customType": "Name",
                  "schema": [
                    {
                      "name": "first",
                      "kind": "required",
                      "type": "string",
                      "description": "The first name of the individual being addressed.",
                      "example": "John"
                    },
                    {
                      "name": "last",
                      "kind": "required",
                      "type": "string",
                      "description": "The last name of the individual being addressed.",
                      "example": "Smith"
                    },
                    {
                      "name": "middleInitial",
                      "kind": "optional",
                      "type": "string",
                      "description": "The middle initial of the individual being addressed.",
                      "example": "D."
                    },
                    {
                      "name": "salutation",
                      "kind": "optional",
                      "type": "string",
                      "description": "The salutation of the individual being addressed.",
                      "example": "Capt."
                    },
                    {
                      "name": "suffix",
                      "kind": "optional",
                      "type": "string",
                      "description": "The optional suffix of the individual being addressed.",
                      "example": "Sr."
                    }
                  ]
                },
                {
                  "name": "email",
                  "kind": "optional",
                  "type": "string<email>",
                  "description": "",
                  "format": "email"
                },
                {
                  "name": "shippingAddress",
                  "kind": "optional",
                  "type": "object",
                  "description": "Standardized format for global addresses.",
                  "modelRef": "#/components/schemas/Address",
                  "customType": "Address",
                  "schema": [
                    {
                      "name": "street1",
                      "kind": "required",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "street2",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "city",
                      "kind": "required",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "county",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "stateOrRegion",
                      "kind": "required",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "country",
                      "kind": "required",
                      "type": "string",
                      "description": "Defaults to US.",
                      "minLength": 2,
                      "maxLength": 2
                    },
                    {
                      "name": "postalCode",
                      "kind": "required",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "poBox",
                      "kind": "optional",
                      "type": "boolean",
                      "description": ""
                    },
                    {
                      "name": "name",
                      "kind": "optional",
                      "type": "object",
                      "description": "",
                      "modelRef": "#/components/schemas/Name",
                      "customType": "Name",
                      "schema": [
                        {
                          "name": "first",
                          "kind": "required",
                          "type": "string",
                          "description": "The first name of the individual being addressed.",
                          "example": "John"
                        },
                        {
                          "name": "last",
                          "kind": "required",
                          "type": "string",
                          "description": "The last name of the individual being addressed.",
                          "example": "Smith"
                        },
                        {
                          "name": "middleInitial",
                          "kind": "optional",
                          "type": "string",
                          "description": "The middle initial of the individual being addressed.",
                          "example": "D."
                        },
                        {
                          "name": "salutation",
                          "kind": "optional",
                          "type": "string",
                          "description": "The salutation of the individual being addressed.",
                          "example": "Capt."
                        },
                        {
                          "name": "suffix",
                          "kind": "optional",
                          "type": "string",
                          "description": "The optional suffix of the individual being addressed.",
                          "example": "Sr."
                        }
                      ]
                    },
                    {
                      "name": "businessName",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "phoneNumber",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    }
                  ]
                }
              ]
            },
            {
              "name": "salesAssociate",
              "kind": "required",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/SalesAssociate",
              "customType": "SalesAssociate",
              "schema": [
                {
                  "name": "id",
                  "kind": "required",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "name",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/Name",
                  "customType": "Name",
                  "schema": [
                    {
                      "name": "first",
                      "kind": "required",
                      "type": "string",
                      "description": "The first name of the individual being addressed.",
                      "example": "John"
                    },
                    {
                      "name": "last",
                      "kind": "required",
                      "type": "string",
                      "description": "The last name of the individual being addressed.",
                      "example": "Smith"
                    },
                    {
                      "name": "middleInitial",
                      "kind": "optional",
                      "type": "string",
                      "description": "The middle initial of the individual being addressed.",
                      "example": "D."
                    },
                    {
                      "name": "salutation",
                      "kind": "optional",
                      "type": "string",
                      "description": "The salutation of the individual being addressed.",
                      "example": "Capt."
                    },
                    {
                      "name": "suffix",
                      "kind": "optional",
                      "type": "string",
                      "description": "The optional suffix of the individual being addressed.",
                      "example": "Sr."
                    }
                  ]
                }
              ]
            },
            {
              "name": "currency",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "items",
              "kind": "required",
              "type": "array",
              "description": "",
              "modelRef": "#/components/schemas/QuoteItem",
              "customType": "QuoteItem[]",
              "schema": [
                {
                  "name": "catalogItemId",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "skuId",
                  "kind": "required",
                  "type": "string",
                  "description": "",
                  "modelRef": "#/components/schemas/SkuId",
                  "customType": "SkuId",
                  "schema": []
                },
                {
                  "name": "targetItemIds",
                  "kind": "optional",
                  "type": "array",
                  "description": "<p>Target items are SKU ids / references to products from warranties and protection plans. Products are not allowed to have targetItems, warranty and protection plan must reference one or more products.</p>",
                  "modelRef": "#/components/schemas/SkuId",
                  "customType": "SkuId[]",
                  "schema": []
                },
                {
                  "name": "quantity",
                  "kind": "required",
                  "type": "integer",
                  "description": ""
                },
                {
                  "name": "pricing",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/QuoteItemPrice",
                  "customType": "QuoteItemPrice",
                  "schema": [
                    {
                      "name": "type",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "zone",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "price",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "listPrice",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    }
                  ]
                },
                {
                  "name": "inStorePickUp",
                  "kind": "optional",
                  "type": "boolean",
                  "description": "Defines if preferred shipping method should be in store pick up",
                  "default": false
                },
                {
                  "name": "validationMessages",
                  "kind": "optional",
                  "type": "array",
                  "description": "This details any validation issues that there on the quote.",
                  "modelRef": "#/components/schemas/QuoteValidationMessage",
                  "customType": "QuoteValidationMessage[]",
                  "schema": [
                    {
                      "name": "detail",
                      "kind": "optional",
                      "type": "string",
                      "description": "This is a message specific to this error. It is not intended for display to the user."
                    },
                    {
                      "name": "level",
                      "kind": "required",
                      "type": "string",
                      "description": "",
                      "modelRef": "#/components/schemas/QuoteValidationMessageLevel",
                      "customType": "QuoteValidationMessageLevel",
                      "schema": []
                    },
                    {
                      "name": "message",
                      "kind": "optional",
                      "type": "string",
                      "description": "Basic error message."
                    },
                    {
                      "name": "code",
                      "kind": "required",
                      "type": "string",
                      "description": "Set of quote validation codes.",
                      "modelRef": "#/components/schemas/QuoteValidationMessageCode",
                      "customType": "QuoteValidationMessageCode",
                      "schema": []
                    }
                  ]
                }
              ]
            },
            {
              "name": "storeLocationId",
              "kind": "required",
              "type": "string",
              "description": "Unique identifier for a store's location."
            },
            {
              "name": "externalId",
              "kind": "required",
              "type": "string",
              "description": "Id of quote from external system."
            }
          ],
          "modelRef": "#/components/schemas/QuoteCreateRequest",
          "complexItems": [
            {
              "name": "object",
              "schema": [
                {
                  "name": "customer",
                  "kind": "required",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/Customer",
                  "customType": "Customer",
                  "schema": [
                    {
                      "name": "name",
                      "kind": "optional",
                      "type": "object",
                      "description": "",
                      "modelRef": "#/components/schemas/Name",
                      "customType": "Name",
                      "schema": [
                        {
                          "name": "first",
                          "kind": "required",
                          "type": "string",
                          "description": "The first name of the individual being addressed.",
                          "example": "John"
                        },
                        {
                          "name": "last",
                          "kind": "required",
                          "type": "string",
                          "description": "The last name of the individual being addressed.",
                          "example": "Smith"
                        },
                        {
                          "name": "middleInitial",
                          "kind": "optional",
                          "type": "string",
                          "description": "The middle initial of the individual being addressed.",
                          "example": "D."
                        },
                        {
                          "name": "salutation",
                          "kind": "optional",
                          "type": "string",
                          "description": "The salutation of the individual being addressed.",
                          "example": "Capt."
                        },
                        {
                          "name": "suffix",
                          "kind": "optional",
                          "type": "string",
                          "description": "The optional suffix of the individual being addressed.",
                          "example": "Sr."
                        }
                      ]
                    },
                    {
                      "name": "email",
                      "kind": "optional",
                      "type": "string<email>",
                      "description": "",
                      "format": "email"
                    },
                    {
                      "name": "shippingAddress",
                      "kind": "optional",
                      "type": "object",
                      "description": "Standardized format for global addresses.",
                      "modelRef": "#/components/schemas/Address",
                      "customType": "Address",
                      "schema": [
                        {
                          "name": "street1",
                          "kind": "required",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "street2",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "city",
                          "kind": "required",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "county",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "stateOrRegion",
                          "kind": "required",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "country",
                          "kind": "required",
                          "type": "string",
                          "description": "Defaults to US.",
                          "minLength": 2,
                          "maxLength": 2
                        },
                        {
                          "name": "postalCode",
                          "kind": "required",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "poBox",
                          "kind": "optional",
                          "type": "boolean",
                          "description": ""
                        },
                        {
                          "name": "name",
                          "kind": "optional",
                          "type": "object",
                          "description": "",
                          "modelRef": "#/components/schemas/Name",
                          "customType": "Name",
                          "schema": [
                            {
                              "name": "first",
                              "kind": "required",
                              "type": "string",
                              "description": "The first name of the individual being addressed.",
                              "example": "John"
                            },
                            {
                              "name": "last",
                              "kind": "required",
                              "type": "string",
                              "description": "The last name of the individual being addressed.",
                              "example": "Smith"
                            },
                            {
                              "name": "middleInitial",
                              "kind": "optional",
                              "type": "string",
                              "description": "The middle initial of the individual being addressed.",
                              "example": "D."
                            },
                            {
                              "name": "salutation",
                              "kind": "optional",
                              "type": "string",
                              "description": "The salutation of the individual being addressed.",
                              "example": "Capt."
                            },
                            {
                              "name": "suffix",
                              "kind": "optional",
                              "type": "string",
                              "description": "The optional suffix of the individual being addressed.",
                              "example": "Sr."
                            }
                          ]
                        },
                        {
                          "name": "businessName",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "phoneNumber",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        }
                      ]
                    }
                  ]
                },
                {
                  "name": "salesAssociate",
                  "kind": "required",
                  "type": "object",
                  "description": "",
                  "modelRef": "#/components/schemas/SalesAssociate",
                  "customType": "SalesAssociate",
                  "schema": [
                    {
                      "name": "id",
                      "kind": "required",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "name",
                      "kind": "optional",
                      "type": "object",
                      "description": "",
                      "modelRef": "#/components/schemas/Name",
                      "customType": "Name",
                      "schema": [
                        {
                          "name": "first",
                          "kind": "required",
                          "type": "string",
                          "description": "The first name of the individual being addressed.",
                          "example": "John"
                        },
                        {
                          "name": "last",
                          "kind": "required",
                          "type": "string",
                          "description": "The last name of the individual being addressed.",
                          "example": "Smith"
                        },
                        {
                          "name": "middleInitial",
                          "kind": "optional",
                          "type": "string",
                          "description": "The middle initial of the individual being addressed.",
                          "example": "D."
                        },
                        {
                          "name": "salutation",
                          "kind": "optional",
                          "type": "string",
                          "description": "The salutation of the individual being addressed.",
                          "example": "Capt."
                        },
                        {
                          "name": "suffix",
                          "kind": "optional",
                          "type": "string",
                          "description": "The optional suffix of the individual being addressed.",
                          "example": "Sr."
                        }
                      ]
                    }
                  ]
                },
                {
                  "name": "currency",
                  "kind": "required",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "items",
                  "kind": "required",
                  "type": "array",
                  "description": "",
                  "modelRef": "#/components/schemas/QuoteItem",
                  "customType": "QuoteItem[]",
                  "schema": [
                    {
                      "name": "catalogItemId",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "skuId",
                      "kind": "required",
                      "type": "string",
                      "description": "",
                      "modelRef": "#/components/schemas/SkuId",
                      "customType": "SkuId",
                      "schema": []
                    },
                    {
                      "name": "targetItemIds",
                      "kind": "optional",
                      "type": "array",
                      "description": "<p>Target items are SKU ids / references to products from warranties and protection plans. Products are not allowed to have targetItems, warranty and protection plan must reference one or more products.</p>",
                      "modelRef": "#/components/schemas/SkuId",
                      "customType": "SkuId[]",
                      "schema": []
                    },
                    {
                      "name": "quantity",
                      "kind": "required",
                      "type": "integer",
                      "description": ""
                    },
                    {
                      "name": "pricing",
                      "kind": "optional",
                      "type": "object",
                      "description": "",
                      "modelRef": "#/components/schemas/QuoteItemPrice",
                      "customType": "QuoteItemPrice",
                      "schema": [
                        {
                          "name": "type",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "zone",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "price",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        },
                        {
                          "name": "listPrice",
                          "kind": "optional",
                          "type": "string",
                          "description": ""
                        }
                      ]
                    },
                    {
                      "name": "inStorePickUp",
                      "kind": "optional",
                      "type": "boolean",
                      "description": "Defines if preferred shipping method should be in store pick up",
                      "default": false
                    },
                    {
                      "name": "validationMessages",
                      "kind": "optional",
                      "type": "array",
                      "description": "This details any validation issues that there on the quote.",
                      "modelRef": "#/components/schemas/QuoteValidationMessage",
                      "customType": "QuoteValidationMessage[]",
                      "schema": [
                        {
                          "name": "detail",
                          "kind": "optional",
                          "type": "string",
                          "description": "This is a message specific to this error. It is not intended for display to the user."
                        },
                        {
                          "name": "level",
                          "kind": "required",
                          "type": "string",
                          "description": "",
                          "modelRef": "#/components/schemas/QuoteValidationMessageLevel",
                          "customType": "QuoteValidationMessageLevel",
                          "schema": []
                        },
                        {
                          "name": "message",
                          "kind": "optional",
                          "type": "string",
                          "description": "Basic error message."
                        },
                        {
                          "name": "code",
                          "kind": "required",
                          "type": "string",
                          "description": "Set of quote validation codes.",
                          "modelRef": "#/components/schemas/QuoteValidationMessageCode",
                          "customType": "QuoteValidationMessageCode",
                          "schema": []
                        }
                      ]
                    }
                  ]
                },
                {
                  "name": "storeLocationId",
                  "kind": "required",
                  "type": "string",
                  "description": "Unique identifier for a store's location."
                }
              ],
              "modelRef": "#/components/schemas/BaseQuote",
              "customType": "BaseQuote"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "externalId",
                  "kind": "required",
                  "type": "string",
                  "description": "Id of quote from external system."
                }
              ]
            }
          ],
          "complexType": "allOf",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "<p>Success-quote created.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Quote",
            "schema": [
              {
                "name": "customer",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Customer",
                "customType": "Customer",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Name",
                    "customType": "Name",
                    "schema": [
                      {
                        "name": "first",
                        "kind": "required",
                        "type": "string",
                        "description": "The first name of the individual being addressed.",
                        "example": "John"
                      },
                      {
                        "name": "last",
                        "kind": "required",
                        "type": "string",
                        "description": "The last name of the individual being addressed.",
                        "example": "Smith"
                      },
                      {
                        "name": "middleInitial",
                        "kind": "optional",
                        "type": "string",
                        "description": "The middle initial of the individual being addressed.",
                        "example": "D."
                      },
                      {
                        "name": "salutation",
                        "kind": "optional",
                        "type": "string",
                        "description": "The salutation of the individual being addressed.",
                        "example": "Capt."
                      },
                      {
                        "name": "suffix",
                        "kind": "optional",
                        "type": "string",
                        "description": "The optional suffix of the individual being addressed.",
                        "example": "Sr."
                      }
                    ]
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string<email>",
                    "description": "",
                    "format": "email"
                  },
                  {
                    "name": "shippingAddress",
                    "kind": "optional",
                    "type": "object",
                    "description": "Standardized format for global addresses.",
                    "modelRef": "#/components/schemas/Address",
                    "customType": "Address",
                    "schema": [
                      {
                        "name": "street1",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "street2",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "city",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "county",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "stateOrRegion",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "country",
                        "kind": "required",
                        "type": "string",
                        "description": "Defaults to US.",
                        "minLength": 2,
                        "maxLength": 2
                      },
                      {
                        "name": "postalCode",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "poBox",
                        "kind": "optional",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/Name",
                        "customType": "Name",
                        "schema": [
                          {
                            "name": "first",
                            "kind": "required",
                            "type": "string",
                            "description": "The first name of the individual being addressed.",
                            "example": "John"
                          },
                          {
                            "name": "last",
                            "kind": "required",
                            "type": "string",
                            "description": "The last name of the individual being addressed.",
                            "example": "Smith"
                          },
                          {
                            "name": "middleInitial",
                            "kind": "optional",
                            "type": "string",
                            "description": "The middle initial of the individual being addressed.",
                            "example": "D."
                          },
                          {
                            "name": "salutation",
                            "kind": "optional",
                            "type": "string",
                            "description": "The salutation of the individual being addressed.",
                            "example": "Capt."
                          },
                          {
                            "name": "suffix",
                            "kind": "optional",
                            "type": "string",
                            "description": "The optional suffix of the individual being addressed.",
                            "example": "Sr."
                          }
                        ]
                      },
                      {
                        "name": "businessName",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "phoneNumber",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              },
              {
                "name": "salesAssociate",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/SalesAssociate",
                "customType": "SalesAssociate",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Name",
                    "customType": "Name",
                    "schema": [
                      {
                        "name": "first",
                        "kind": "required",
                        "type": "string",
                        "description": "The first name of the individual being addressed.",
                        "example": "John"
                      },
                      {
                        "name": "last",
                        "kind": "required",
                        "type": "string",
                        "description": "The last name of the individual being addressed.",
                        "example": "Smith"
                      },
                      {
                        "name": "middleInitial",
                        "kind": "optional",
                        "type": "string",
                        "description": "The middle initial of the individual being addressed.",
                        "example": "D."
                      },
                      {
                        "name": "salutation",
                        "kind": "optional",
                        "type": "string",
                        "description": "The salutation of the individual being addressed.",
                        "example": "Capt."
                      },
                      {
                        "name": "suffix",
                        "kind": "optional",
                        "type": "string",
                        "description": "The optional suffix of the individual being addressed.",
                        "example": "Sr."
                      }
                    ]
                  }
                ]
              },
              {
                "name": "currency",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "items",
                "kind": "required",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/QuoteItem",
                "customType": "QuoteItem[]",
                "schema": [
                  {
                    "name": "catalogItemId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "skuId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/SkuId",
                    "customType": "SkuId",
                    "schema": []
                  },
                  {
                    "name": "targetItemIds",
                    "kind": "optional",
                    "type": "array",
                    "description": "<p>Target items are SKU ids / references to products from warranties and protection plans. Products are not allowed to have targetItems, warranty and protection plan must reference one or more products.</p>",
                    "modelRef": "#/components/schemas/SkuId",
                    "customType": "SkuId[]",
                    "schema": []
                  },
                  {
                    "name": "quantity",
                    "kind": "required",
                    "type": "integer",
                    "description": ""
                  },
                  {
                    "name": "pricing",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/QuoteItemPrice",
                    "customType": "QuoteItemPrice",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "zone",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "price",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "listPrice",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "inStorePickUp",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Defines if preferred shipping method should be in store pick up",
                    "default": false
                  },
                  {
                    "name": "validationMessages",
                    "kind": "optional",
                    "type": "array",
                    "description": "This details any validation issues that there on the quote.",
                    "modelRef": "#/components/schemas/QuoteValidationMessage",
                    "customType": "QuoteValidationMessage[]",
                    "schema": [
                      {
                        "name": "detail",
                        "kind": "optional",
                        "type": "string",
                        "description": "This is a message specific to this error. It is not intended for display to the user."
                      },
                      {
                        "name": "level",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/QuoteValidationMessageLevel",
                        "customType": "QuoteValidationMessageLevel",
                        "schema": []
                      },
                      {
                        "name": "message",
                        "kind": "optional",
                        "type": "string",
                        "description": "Basic error message."
                      },
                      {
                        "name": "code",
                        "kind": "required",
                        "type": "string",
                        "description": "Set of quote validation codes.",
                        "modelRef": "#/components/schemas/QuoteValidationMessageCode",
                        "customType": "QuoteValidationMessageCode",
                        "schema": []
                      }
                    ]
                  }
                ]
              },
              {
                "name": "storeLocationId",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier for a store's location."
              },
              {
                "name": "id",
                "kind": "required",
                "type": "integer<int64>",
                "description": "Unique identifier for a quote.",
                "format": "int64"
              },
              {
                "name": "siteId",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/SiteId",
                "customType": "SiteId",
                "schema": []
              },
              {
                "name": "createdAt",
                "kind": "required",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "expiresAt",
                "kind": "optional",
                "type": "string<date>",
                "description": "",
                "format": "date"
              },
              {
                "name": "externalId",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier for an external quote."
              },
              {
                "name": "archivedItems",
                "kind": "required",
                "type": "array",
                "description": "<p>Contains archived items excluded from <code>items</code>.</p>",
                "example": "",
                "default": [],
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/Quote",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "customer",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Customer",
                    "customType": "Customer",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/Name",
                        "customType": "Name",
                        "schema": [
                          {
                            "name": "first",
                            "kind": "required",
                            "type": "string",
                            "description": "The first name of the individual being addressed.",
                            "example": "John"
                          },
                          {
                            "name": "last",
                            "kind": "required",
                            "type": "string",
                            "description": "The last name of the individual being addressed.",
                            "example": "Smith"
                          },
                          {
                            "name": "middleInitial",
                            "kind": "optional",
                            "type": "string",
                            "description": "The middle initial of the individual being addressed.",
                            "example": "D."
                          },
                          {
                            "name": "salutation",
                            "kind": "optional",
                            "type": "string",
                            "description": "The salutation of the individual being addressed.",
                            "example": "Capt."
                          },
                          {
                            "name": "suffix",
                            "kind": "optional",
                            "type": "string",
                            "description": "The optional suffix of the individual being addressed.",
                            "example": "Sr."
                          }
                        ]
                      },
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string<email>",
                        "description": "",
                        "format": "email"
                      },
                      {
                        "name": "shippingAddress",
                        "kind": "optional",
                        "type": "object",
                        "description": "Standardized format for global addresses.",
                        "modelRef": "#/components/schemas/Address",
                        "customType": "Address",
                        "schema": [
                          {
                            "name": "street1",
                            "kind": "required",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "street2",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "city",
                            "kind": "required",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "county",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "stateOrRegion",
                            "kind": "required",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "country",
                            "kind": "required",
                            "type": "string",
                            "description": "Defaults to US.",
                            "minLength": 2,
                            "maxLength": 2
                          },
                          {
                            "name": "postalCode",
                            "kind": "required",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "poBox",
                            "kind": "optional",
                            "type": "boolean",
                            "description": ""
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "object",
                            "description": "",
                            "modelRef": "#/components/schemas/Name",
                            "customType": "Name",
                            "schema": [
                              {
                                "name": "first",
                                "kind": "required",
                                "type": "string",
                                "description": "The first name of the individual being addressed.",
                                "example": "John"
                              },
                              {
                                "name": "last",
                                "kind": "required",
                                "type": "string",
                                "description": "The last name of the individual being addressed.",
                                "example": "Smith"
                              },
                              {
                                "name": "middleInitial",
                                "kind": "optional",
                                "type": "string",
                                "description": "The middle initial of the individual being addressed.",
                                "example": "D."
                              },
                              {
                                "name": "salutation",
                                "kind": "optional",
                                "type": "string",
                                "description": "The salutation of the individual being addressed.",
                                "example": "Capt."
                              },
                              {
                                "name": "suffix",
                                "kind": "optional",
                                "type": "string",
                                "description": "The optional suffix of the individual being addressed.",
                                "example": "Sr."
                              }
                            ]
                          },
                          {
                            "name": "businessName",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "phoneNumber",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "salesAssociate",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/SalesAssociate",
                    "customType": "SalesAssociate",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/Name",
                        "customType": "Name",
                        "schema": [
                          {
                            "name": "first",
                            "kind": "required",
                            "type": "string",
                            "description": "The first name of the individual being addressed.",
                            "example": "John"
                          },
                          {
                            "name": "last",
                            "kind": "required",
                            "type": "string",
                            "description": "The last name of the individual being addressed.",
                            "example": "Smith"
                          },
                          {
                            "name": "middleInitial",
                            "kind": "optional",
                            "type": "string",
                            "description": "The middle initial of the individual being addressed.",
                            "example": "D."
                          },
                          {
                            "name": "salutation",
                            "kind": "optional",
                            "type": "string",
                            "description": "The salutation of the individual being addressed.",
                            "example": "Capt."
                          },
                          {
                            "name": "suffix",
                            "kind": "optional",
                            "type": "string",
                            "description": "The optional suffix of the individual being addressed.",
                            "example": "Sr."
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "currency",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "items",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/QuoteItem",
                    "customType": "QuoteItem[]",
                    "schema": [
                      {
                        "name": "catalogItemId",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "skuId",
                        "kind": "required",
                        "type": "string",
                        "description": "",
                        "modelRef": "#/components/schemas/SkuId",
                        "customType": "SkuId",
                        "schema": []
                      },
                      {
                        "name": "targetItemIds",
                        "kind": "optional",
                        "type": "array",
                        "description": "<p>Target items are SKU ids / references to products from warranties and protection plans. Products are not allowed to have targetItems, warranty and protection plan must reference one or more products.</p>",
                        "modelRef": "#/components/schemas/SkuId",
                        "customType": "SkuId[]",
                        "schema": []
                      },
                      {
                        "name": "quantity",
                        "kind": "required",
                        "type": "integer",
                        "description": ""
                      },
                      {
                        "name": "pricing",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/QuoteItemPrice",
                        "customType": "QuoteItemPrice",
                        "schema": [
                          {
                            "name": "type",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "zone",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "price",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "listPrice",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          }
                        ]
                      },
                      {
                        "name": "inStorePickUp",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "Defines if preferred shipping method should be in store pick up",
                        "default": false
                      },
                      {
                        "name": "validationMessages",
                        "kind": "optional",
                        "type": "array",
                        "description": "This details any validation issues that there on the quote.",
                        "modelRef": "#/components/schemas/QuoteValidationMessage",
                        "customType": "QuoteValidationMessage[]",
                        "schema": [
                          {
                            "name": "detail",
                            "kind": "optional",
                            "type": "string",
                            "description": "This is a message specific to this error. It is not intended for display to the user."
                          },
                          {
                            "name": "level",
                            "kind": "required",
                            "type": "string",
                            "description": "",
                            "modelRef": "#/components/schemas/QuoteValidationMessageLevel",
                            "customType": "QuoteValidationMessageLevel",
                            "schema": []
                          },
                          {
                            "name": "message",
                            "kind": "optional",
                            "type": "string",
                            "description": "Basic error message."
                          },
                          {
                            "name": "code",
                            "kind": "required",
                            "type": "string",
                            "description": "Set of quote validation codes.",
                            "modelRef": "#/components/schemas/QuoteValidationMessageCode",
                            "customType": "QuoteValidationMessageCode",
                            "schema": []
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "storeLocationId",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier for a store's location."
                  }
                ],
                "modelRef": "#/components/schemas/BaseQuote",
                "customType": "BaseQuote"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer<int64>",
                    "description": "Unique identifier for a quote.",
                    "format": "int64"
                  },
                  {
                    "name": "siteId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/SiteId",
                    "customType": "SiteId",
                    "schema": []
                  },
                  {
                    "name": "createdAt",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "expiresAt",
                    "kind": "optional",
                    "type": "string<date>",
                    "description": "",
                    "format": "date"
                  },
                  {
                    "name": "externalId",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier for an external quote."
                  },
                  {
                    "name": "archivedItems",
                    "kind": "required",
                    "type": "array",
                    "description": "<p>Contains archived items excluded from <code>items</code>.</p>",
                    "example": "",
                    "default": [],
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "3yODGjf2apd0J1TLYk8JZ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/quote \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"customer\": {\n     \"name\": {\n     \"first\": \"John\",\n     \"last\": \"Smith\"\n     },\n     \"shippingAddress\": {\n     \"street1\": \"\",\n     \"city\": \"\",\n     \"stateOrRegion\": \"\",\n     \"country\": \"\",\n     \"postalCode\": \"\",\n     \"name\": {\n     \"first\": \"John\",\n     \"last\": \"Smith\"\n     }\n     }\n     },\n     \"salesAssociate\": {\n     \"id\": \"\",\n     \"name\": {\n     \"first\": \"John\",\n     \"last\": \"Smith\"\n     }\n     },\n     \"currency\": \"\",\n     \"items\": [\n     {\n     \"skuId\": \"\",\n     \"quantity\": \"\",\n     \"validationMessages\": [\n     {\n     \"level\": \"\",\n     \"code\": \"\"\n     }\n     ]\n     }\n     ],\n     \"storeLocationId\": \"\",\n     \"externalId\": \"\"\n     }'"
        },
        {
          "id": "A4cs_ehqPIGrt854xP9cF",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"customer\": {\n      \"name\": {\n         \"first\": \"John\",\n         \"last\": \"Smith\"\n      },\n      \"shippingAddress\": {\n         \"street1\": \"\",\n         \"city\": \"\",\n         \"stateOrRegion\": \"\",\n         \"country\": \"\",\n         \"postalCode\": \"\",\n         \"name\": {\n            \"first\": \"John\",\n            \"last\": \"Smith\"\n         }\n      }\n   },\n   \"salesAssociate\": {\n      \"id\": \"\",\n      \"name\": {\n         \"first\": \"John\",\n         \"last\": \"Smith\"\n      }\n   },\n   \"currency\": \"\",\n   \"items\": [\n      {\n         \"skuId\": \"\",\n         \"quantity\": \"\",\n         \"validationMessages\": [\n            {\n               \"level\": \"\",\n               \"code\": \"\"\n            }\n         ]\n      }\n   ],\n   \"storeLocationId\": \"\",\n   \"externalId\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/quote\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "paEvtAT4VLOf0hU_4NtMu",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/quote\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"customer\": {\n      \"name\": {\n         \"first\": \"John\",\n         \"last\": \"Smith\"\n      },\n      \"shippingAddress\": {\n         \"street1\": \"\",\n         \"city\": \"\",\n         \"stateOrRegion\": \"\",\n         \"country\": \"\",\n         \"postalCode\": \"\",\n         \"name\": {\n            \"first\": \"John\",\n            \"last\": \"Smith\"\n         }\n      }\n   },\n   \"salesAssociate\": {\n      \"id\": \"\",\n      \"name\": {\n         \"first\": \"John\",\n         \"last\": \"Smith\"\n      }\n   },\n   \"currency\": \"\",\n   \"items\": [\n      {\n         \"skuId\": \"\",\n         \"quantity\": \"\",\n         \"validationMessages\": [\n            {\n               \"level\": \"\",\n               \"code\": \"\"\n            }\n         ]\n      }\n   ],\n   \"storeLocationId\": \"\",\n   \"externalId\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "SRyidLz-oP-E_AemRivIF",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/quote\"\n\npayload = json.dumps({\n   \"customer\": {\n      \"name\": {\n         \"first\": \"John\",\n         \"last\": \"Smith\"\n      },\n      \"shippingAddress\": {\n         \"street1\": \"\",\n         \"city\": \"\",\n         \"stateOrRegion\": \"\",\n         \"country\": \"\",\n         \"postalCode\": \"\",\n         \"name\": {\n            \"first\": \"John\",\n            \"last\": \"Smith\"\n         }\n      }\n   },\n   \"salesAssociate\": {\n      \"id\": \"\",\n      \"name\": {\n         \"first\": \"John\",\n         \"last\": \"Smith\"\n      }\n   },\n   \"currency\": \"\",\n   \"items\": [\n      {\n         \"skuId\": \"\",\n         \"quantity\": \"\",\n         \"validationMessages\": [\n            {\n               \"level\": \"\",\n               \"code\": \"\"\n            }\n         ]\n      }\n   ],\n   \"storeLocationId\": \"\",\n   \"externalId\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "3yODGjf2apd0J1TLYk8JZ"
    },
    "results": {
      "languages": [
        {
          "id": "lBTJIrtFbxiwVvwfvnW0j",
          "language": "201",
          "code": "// Success-quote created.\n{\n  \"customer\": {\n    \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\",\n      \"middleInitial\": \"D.\",\n      \"salutation\": \"Capt.\",\n      \"suffix\": \"Sr.\"\n    },\n    \"email\": \"\",\n    \"shippingAddress\": {\n      \"street1\": \"\",\n      \"street2\": \"\",\n      \"city\": \"\",\n      \"county\": \"\",\n      \"stateOrRegion\": \"\",\n      \"country\": \"\",\n      \"postalCode\": \"\",\n      \"poBox\": false,\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middleInitial\": \"D.\",\n        \"salutation\": \"Capt.\",\n        \"suffix\": \"Sr.\"\n      },\n      \"businessName\": \"\",\n      \"phoneNumber\": \"\"\n    }\n  },\n  \"salesAssociate\": {\n    \"id\": \"\",\n    \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\",\n      \"middleInitial\": \"D.\",\n      \"salutation\": \"Capt.\",\n      \"suffix\": \"Sr.\"\n    }\n  },\n  \"currency\": \"\",\n  \"items\": [\n    {\n      \"catalogItemId\": \"\",\n      \"skuId\": \"\",\n      \"targetItemIds\": [\n        \"\"\n      ],\n      \"quantity\": 0,\n      \"pricing\": {\n        \"type\": \"\",\n        \"zone\": \"\",\n        \"price\": \"\",\n        \"listPrice\": \"\"\n      },\n      \"inStorePickUp\": false,\n      \"validationMessages\": [\n        {\n          \"detail\": \"\",\n          \"level\": \"\",\n          \"message\": \"\",\n          \"code\": \"\"\n        }\n      ]\n    }\n  ],\n  \"storeLocationId\": \"\",\n  \"id\": \"\",\n  \"siteId\": \"\",\n  \"createdAt\": \"\",\n  \"expiresAt\": \"\",\n  \"externalId\": \"\",\n  \"archivedItems\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "RCYNKX5PDcOOlw9VEqQhu",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "2HTdSLMQJL4fHMZIRjcnZ",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "m4bZ6ZfBQsEneaORKiOzf",
          "language": "409",
          "code": "// The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "lBTJIrtFbxiwVvwfvnW0j"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}